(hall-description
 (name "sloth")
 (prefix "")
 (version "0.1")
 (author "An owl and a rat")
 (email "stellarskylark@posteo.net")
 (copyright (2023))
 (synopsis "")
 (description "")
 (home-page "")
 (license gpl3+)
 (dependencies `(("guile-config" ,guile-config)
                 ("guile-ncurses" ,guile-ncurses)
                 ("guile-ts" ,guile-ts)
		 ("tree-sitter-bash" ,tree-sitter-bash)
		 ("tree-sitter-bibtex" ,tree-sitter-bibtex)
		 ("tree-sitter-c" ,tree-sitter-c)
		 ("tree-sitter-c-sharp" ,tree-sitter-c-sharp)
		 ("tree-sitter-clojure" ,tree-sitter-clojure)
		 ("tree-sitter-cmake" ,tree-sitter-cmake)
		 ("tree-sitter-cpp" ,tree-sitter-cpp)
		 ("tree-sitter-css" ,tree-sitter-css)
		 ("tree-sitter-dockerfile" ,tree-sitter-dockerfile)
		 ("tree-sitter-elixir" ,tree-sitter-elixir)
		 ("tree-sitter-elm" ,tree-sitter-elm)
		 ("tree-sitter-go" ,tree-sitter-go)
		 ("tree-sitter-gomod" ,tree-sitter-gomod)
		 ("tree-sitter-haskell" ,tree-sitter-haskell)
		 ("tree-sitter-heex" ,tree-sitter-heex)
		 ("tree-sitter-html" ,tree-sitter-html)
		 ("tree-sitter-java" ,tree-sitter-java)
		 ("tree-sitter-javascript" ,tree-sitter-javascript)
		 ("tree-sitter-json" ,tree-sitter-json)
		 ("tree-sitter-julia" ,tree-sitter-julia)
		 ("tree-sitter-lua" ,tree-sitter-lua)
		 ("tree-sitter-markdown" ,tree-sitter-markdown)
		 ("tree-sitter-markdown-gfm" ,tree-sitter-markdown-gfm)
		 ("tree-sitter-meson" ,tree-sitter-meson)
		 ("tree-sitter-ocaml" ,tree-sitter-ocaml)
		 ("tree-sitter-org" ,tree-sitter-org)
		 ("tree-sitter-php" ,tree-sitter-php)
		 ("tree-sitter-plantuml" ,tree-sitter-plantuml)
		 ("tree-sitter-python" ,tree-sitter-python)
		 ("tree-sitter-r" ,tree-sitter-r)
		 ("tree-sitter-racket" ,tree-sitter-racket)
		 ("tree-sitter-ruby" ,tree-sitter-ruby)
		 ("tree-sitter-rust" ,tree-sitter-rust)
		 ("tree-sitter-scala" ,tree-sitter-scala)
                 ("tree-sitter-scheme" ,tree-sitter-scheme)
		 ("tree-sitter-typescript" ,tree-sitter-typescript)))
 (skip ())
 (files (libraries
         ((directory "sloth" ((scheme-file "common")
                              (scheme-file "editor")
                              (scheme-file "interface")
                              (scheme-file "ncurses")))))
        (tests ((directory "tests" ())))
        (programs
         ((directory "scripts" ((in-file "sloth")))))
        (documentation
         ((directory "doc" ((texi-file "sloth")))
          (text-file "LICENSE")
          (symlink "README" "README.org")
          (org-file "README")))
        (infrastructure
         ((text-file ".gitignore")
          (scheme-file "guix")
          (scheme-file "hall")
          (scheme-file "manifest")))))
