(define-module (sloth common)
  #:use-module (oop goops)
  #:export (<sloth-frontend>
            fetch-input
            get-main-win
            set-cursor-pos
            end
            width
            height
            write-buffer))

(define-class <sloth-frontend> ()
  (main-win #:getter get-main-win #:init-keyword #:main-win)
  (height #:accessor height)
  (width #:accessor width))

(define-generic fetch-input)            ; args: <sloth-frontend>
(define-generic set-cursor-pos)         ; args: <sloth-frontend> x y scroll line
(define-generic end)                    ; args: <sloth-frontend>
(define-generic write-buffer)           ; args: <sloth-frontend> buffer scroll
